%define major 0
%define libname %mklibname erfa %{major}
%define libname_virt    liberfa
%define develname %mklibname erfa -d

Name: erfa
Version: 1.3.0
Release: %mkrel 1
Summary: Essential Routines for Fundamental Astronomy
Group: Sciences/Astronomy
License: BSD
URL: https://github.com/liberfa/erfa
Source0: https://github.com/liberfa/erfa/releases/download/v%{version}/%{name}-%{version}.tar.gz

%description
ERFA is a C library containing key algorithms for astronomy, and is 
based on the SOFA library published by the International Astronomical 
Union (IAU).

%package -n %{develname}
Summary: Development files for %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package -n %{libname}
Summary: Essential Routines for Fundamental Astronomy
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
Provides: %{libname_virt} = %{version}-%{release}
Provides: %{name} = %{version}-%{release}
%description -n %{libname}
ERFA is a C library containing key algorithms for astronomy, and is 
based on the SOFA library published by the International Astronomical 
Union (IAU).

%prep
%setup -q 

%build
%configure2_5x --disable-static
%make

%install
%make_install

%check
%make check

%files -n %{libname}
%doc README.rst INFO
%license LICENSE
%{_libdir}/liberfa.so.*

%files -n %{develname}
%{_libdir}/liberfa.so
%{_includedir}/erfa*.h
%{_libdir}/pkgconfig/erfa.pc
%exclude %{_libdir}/*.la


%changelog
* Mon May 29 2017 eatdirt <eatdirt> 1.3.0-1.mga6
+ Revision: 1105492
- Upgrade to version 1.3.0

* Sun May 22 2016 joequant <joequant> 1.2.0-1.mga6
+ Revision: 1017513
- upgrade to 1.2.0

* Thu Feb 11 2016 umeabot <umeabot> 1.1.1-3.mga6
+ Revision: 953878
- Mageia 6 Mass Rebuild

* Fri Feb 06 2015 joequant <joequant> 1.1.1-2.mga5
+ Revision: 813664
- fix dependency

* Fri Feb 06 2015 joequant <joequant> 1.1.1-1.mga5
+ Revision: 813646
- fix group
- imported package erfa

